Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface FrameCounts

All Known Implementing Classes:
  FrameCountsImpl

    public interface FrameCounts

Author:
  Ray Fergerson

Method Summary
`int` | `getDirectClsCount()`
`int` | `getDirectFacetCount()`
`int` | `getDirectFrameCount()`
`int` | `getDirectSimpleInstanceCount()`
`int` | `getDirectSlotCount()`
`int` | `getIncludedClsCount()`
`int` | `getIncludedFacetCount()`
`int` | `getIncludedFrameCount()`
`int` | `getIncludedSimpleInstanceCount()`
`int` | `getIncludedSlotCount()`
`int` | `getSystemClsCount()`
`int` | `getSystemFacetCount()`
`int` | `getSystemFrameCount()`
`int` | `getSystemSimpleInstanceCount()`
`int` | `getSystemSlotCount()`
`int` | `getTotalClsCount()`
`int` | `getTotalFacetCount()`
`int` | `getTotalFrameCount()`
`int` | `getTotalSimpleInstanceCount()`
`int` | `getTotalSlotCount()`

Method Detail

### getSystemClsCount

    int getSystemClsCount()

### getSystemSlotCount

    int getSystemSlotCount()

### getSystemFacetCount

    int getSystemFacetCount()

### getSystemSimpleInstanceCount

    int getSystemSimpleInstanceCount()

### getSystemFrameCount

    int getSystemFrameCount()

### getIncludedClsCount

    int getIncludedClsCount()

### getIncludedSlotCount

    int getIncludedSlotCount()

### getIncludedFacetCount

    int getIncludedFacetCount()

### getIncludedSimpleInstanceCount

    int getIncludedSimpleInstanceCount()

### getIncludedFrameCount

    int getIncludedFrameCount()

### getDirectClsCount

    int getDirectClsCount()

### getDirectSlotCount

    int getDirectSlotCount()

### getDirectFacetCount

    int getDirectFacetCount()

### getDirectSimpleInstanceCount

    int getDirectSimpleInstanceCount()

### getDirectFrameCount

    int getDirectFrameCount()

### getTotalClsCount

    int getTotalClsCount()

### getTotalSlotCount

    int getTotalSlotCount()

### getTotalFacetCount

    int getTotalFacetCount()

### getTotalSimpleInstanceCount

    int getTotalSimpleInstanceCount()

### getTotalFrameCount

    int getTotalFrameCount()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.